# file-reader-wrapper

file-reader-wrapper is a wrapper module for the implementation by Brian Grinstead.

## Usage

file-reader-wrapper provides a simple interface for the official FileReader.

```javascript
var fileReader = require('file-reader-wrapper');

// Use the fileReader as shown by Brian Grinstead on the linked GitHub page.
fileReader.setupClipboard(document.body,
	{
		accept: {
			'image/*': 'DataURL'
		},
		on: {
			load: function(e, file) {
				doThings(e, file);
			}
		}
	});
```

## License

[MIT License](http://en.wikipedia.org/wiki/MIT_License)

## Disclaimer

I'm not the owner of FileReader.js. This is just a wrapper to be able to use it in some projects. FileReader.js was created by Brian Grinstead on GitHub.